# Uses of Class
org.springframework.web.servlet.mvc.method.RequestMappingInfo

Packages that use RequestMappingInfo
Package
Description
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.
org.springframework.web.servlet.mvc.method.annotation
MVC infrastructure for annotation-based handler method processing, building on the `org.springframework.web.method.annotation` package.

## Uses of RequestMappingInfo in org.springframework.web.servlet.mvc.method

Methods in org.springframework.web.servlet.mvc.method that return RequestMappingInfo
Modifier and Type
Method
Description
`RequestMappingInfo`
RequestMappingInfo.`addCustomCondition(RequestCondition<?> customCondition)`
Create a new instance based on the current one, also adding the given custom condition.
`RequestMappingInfo`
RequestMappingInfo.Builder.`build()`
Build the RequestMappingInfo.
`RequestMappingInfo`
RequestMappingInfo.`combine(RequestMappingInfo other)`
Combine "this" request mapping info (i.e.
`RequestMappingInfo`
RequestMappingInfo.`getMatchingCondition(HttpServletRequest request)`
Checks if all conditions in this request mapping info match the provided request and returns a potentially new request mapping info with conditions tailored to the current request.
`protected RequestMappingInfo`
RequestMappingInfoHandlerMapping.`getMatchingMapping(RequestMappingInfo info, HttpServletRequest request)`
Check if the given RequestMappingInfo matches the current request and return a (potentially new) instance with conditions that match the current request -- for example with a subset of URL patterns.
Methods in org.springframework.web.servlet.mvc.method that return types with arguments of type RequestMappingInfo
Modifier and Type
Method
Description
`protected Comparator<RequestMappingInfo>`
RequestMappingInfoHandlerMapping.`getMappingComparator(HttpServletRequest request)`
Provide a Comparator to sort RequestMappingInfos matched to a request.
Methods in org.springframework.web.servlet.mvc.method with parameters of type RequestMappingInfo
Modifier and Type
Method
Description
`RequestMappingInfo`
RequestMappingInfo.`combine(RequestMappingInfo other)`
Combine "this" request mapping info (i.e.
`int`
RequestMappingInfo.`compareTo(RequestMappingInfo other, HttpServletRequest request)`
Compares "this" info (i.e.
`protected Set<String>`
RequestMappingInfoHandlerMapping.`getDirectPaths(RequestMappingInfo info)`
`protected Set<String>`
RequestMappingInfoHandlerMapping.`getMappingPathPatterns(RequestMappingInfo info)`
Get the URL path patterns associated with the supplied `RequestMappingInfo`.
`protected RequestMappingInfo`
RequestMappingInfoHandlerMapping.`getMatchingMapping(RequestMappingInfo info, HttpServletRequest request)`
Check if the given RequestMappingInfo matches the current request and return a (potentially new) instance with conditions that match the current request -- for example with a subset of URL patterns.
`String`
RequestMappingInfoHandlerMethodMappingNamingStrategy.`getName(org.springframework.web.method.HandlerMethod handlerMethod, RequestMappingInfo mapping)`
`protected void`
RequestMappingInfoHandlerMapping.`handleMatch(RequestMappingInfo info, String lookupPath, HttpServletRequest request)`
Expose URI template variables, matrix variables, and producible media types in the request.
Method parameters in org.springframework.web.servlet.mvc.method with type arguments of type RequestMappingInfo
Modifier and Type
Method
Description
`protected org.springframework.web.method.HandlerMethod`
RequestMappingInfoHandlerMapping.`handleNoMatch(Set<RequestMappingInfo> infos, String lookupPath, HttpServletRequest request)`
Iterate all RequestMappingInfo's once again, look if any match by URL at least and raise exceptions according to what doesn't match.
Constructors in org.springframework.web.servlet.mvc.method with parameters of type RequestMappingInfo
Modifier
Constructor
Description
``
`RequestMappingInfo(RequestMappingInfo info, RequestCondition<?> customRequestCondition)`
Deprecated.
since 5.3 in favor of using `addCustomCondition(RequestCondition)`.

## Uses of RequestMappingInfo in org.springframework.web.servlet.mvc.method.annotation

Methods in org.springframework.web.servlet.mvc.method.annotation that return RequestMappingInfo
Modifier and Type
Method
Description
`protected RequestMappingInfo`
RequestMappingHandlerMapping.`createRequestMappingInfo(org.springframework.web.bind.annotation.RequestMapping requestMapping, RequestCondition<?> customCondition)`
Create a `RequestMappingInfo` from the supplied `@RequestMapping` annotation, meta-annotation, or synthesized result of merging annotation attributes within an annotation hierarchy.
`protected RequestMappingInfo`
RequestMappingHandlerMapping.`createRequestMappingInfo(org.springframework.web.service.annotation.HttpExchange httpExchange, RequestCondition<?> customCondition)`
Create a `RequestMappingInfo` from the supplied `@HttpExchange` annotation, meta-annotation, or synthesized result of merging annotation attributes within an annotation hierarchy.
`protected RequestMappingInfo`
RequestMappingHandlerMapping.`getMappingForMethod(Method method, Class<?> handlerType)`
Uses type-level and method-level `@RequestMapping` and `@HttpExchange` annotations to create the `RequestMappingInfo`.
Methods in org.springframework.web.servlet.mvc.method.annotation with parameters of type RequestMappingInfo
Modifier and Type
Method
Description
`protected org.springframework.web.cors.CorsConfiguration`
RequestMappingHandlerMapping.`initCorsConfiguration(Object handler, Method method, RequestMappingInfo mappingInfo)`
`protected void`
RequestMappingHandlerMapping.`registerHandlerMethod(Object handler, Method method, RequestMappingInfo mapping)`
Register a handler method and its unique mapping.
`void`
RequestMappingHandlerMapping.`registerMapping(RequestMappingInfo mapping, Object handler, Method method)`